## lyricue 1.9.4

=== Makefile ===
BINARIES = lyricue lyricue_remote lyricue_server import_media
SHARE = lyricue.glade images/lyricue.png images/lyricue-icon.png
SQL = mysql/MySQL_create_Table.sql mysql/MySQL_create_media.sql mysql/Update_1.2.sql mysql/Update_1.9.sql mysql/Update_1.9.4.sql
DESKTOP = lyricue.desktop lyricue_server.desktop
ETC = default.conf
DOCS = docs/Development.txt docs/example_song.txt docs/AUTHORS docs/NEWS docs/README docs/song_template.txt docs/TODO
INSTALL = /usr/bin/install -c -m 755
INSTALLDATA = /usr/bin/install -c -m 644 -D
POFILES = po/de.po po/en_US.po po/fr.po po/nl.po po/sv.po po/es_ES.po
MOFILES = po/de.po.mo po/en_US.po.mo po/fr.po.mo po/nl.po.mo po/sv.po.mo po/es_ES.po.mo

all: $(MOFILES)

%.po.mo:
	@for t in $(POFILES); do msgfmt -o $$t.mo $$t;done

install: 
	mkdir -p $(DESTDIR)/usr/bin
	$(INSTALL) $(BINARIES) $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/lyricue
	$(INSTALLDATA) $(SHARE) $(DESTDIR)/usr/share/lyricue

	mkdir -p $(DESTDIR)/usr/share/lyricue/mysql
	$(INSTALLDATA) $(SQL) $(DESTDIR)/usr/share/lyricue/mysql

	mkdir -p $(DESTDIR)/etc/lyricue
	@if test ! -e access.conf; then \
	   $(INSTALLDATA) access.conf $(DESTDIR)/etc/lyricue; \
	fi
	$(INSTALLDATA) $(ETC) $(DESTDIR)/etc/lyricue

	mkdir -p $(DESTDIR)/usr/share/applications
	$(INSTALLDATA) $(DESKTOP) $(DESTDIR)/usr/share/applications

	mkdir -p $(DESTDIR)/usr/share/docs/lyricue
	$(INSTALLDATA) $(DOCS) $(DESTDIR)/usr/share/docs/lyricue

	@for t in $(MOFILES); do l=`basename $$t .po.mo`; $(INSTALLDATA) $$t $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/lyricue.mo;done

uninstall:
	cd $(DESTDIR)/usr/bin; \
	rm $(BINARIES)
	cd $(DESTDIR)/usr/share/lyricue; \
	rm $(SHARE) $(SQL)
	cd $(DESTDIR)/usr/share/applications; \
	rm $(DESKTOP)

clean:
	rm $(MOFILES)

## lyricue 1.9.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BINARIES = lyricue lyricue_remote lyricue_server import_media
 SHARE = lyricue.glade images/lyricue.png images/lyricue-icon.png
-SQL = mysql/MySQL_create_Table.sql mysql/MySQL_create_media.sql mysql/Update_1.2.sql mysql/Update_1.9.sql mysql/Update_1.9.4.sql
+SQL = mysql/Create_lyricDb.sql mysql/Create_mediaDb.sql mysql/Update_1.2.sql mysql/Update_1.9.sql mysql/Update_1.9.4.sql mysql/Update_1.9.7.sql
 DESKTOP = lyricue.desktop lyricue_server.desktop
 ETC = default.conf
 DOCS = docs/Development.txt docs/example_song.txt docs/AUTHORS docs/NEWS docs/README docs/song_template.txt docs/TODO
@@ -33,8 +33,8 @@
 	mkdir -p $(DESTDIR)/usr/share/applications
 	$(INSTALLDATA) $(DESKTOP) $(DESTDIR)/usr/share/applications
 
-	mkdir -p $(DESTDIR)/usr/share/docs/lyricue
-	$(INSTALLDATA) $(DOCS) $(DESTDIR)/usr/share/docs/lyricue
+	mkdir -p $(DESTDIR)/usr/share/doc/lyricue
+	$(INSTALLDATA) $(DOCS) $(DESTDIR)/usr/share/doc/lyricue
 
 	@for t in $(MOFILES); do l=`basename $$t .po.mo`; $(INSTALLDATA) $$t $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/lyricue.mo;done

## lyricue 3.2.1

=== debian/changelog ===
lyricue (3.2.1-0ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:54:29 -0800

lyricue (3.2.1-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #389654).
  * Packaging based on upstream's PPA:
    - lists of (build-)dependencies updated
    - menu file dropped
    - postinst/postrm scripts removed, lyricue guides setup on first run
    - debian/rules: use dh sequencer
  * Generate manpage with pod2man.
  * extra-docs.patch: don't install some unneded files.
  * manpage-name.patch: make manpage valid.
  * desktop.patch: make desktop files valid.
  * Convert copyright file to DEP5 format.
  * Use source format 3.0 (quilt).
  * Update homepage and watch file.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 06 Nov 2011 16:24:28 +0400

lyricue (1.9.8-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #277889)
  * Bump Standards-Version to 3.8.0
    - Move Homepage from Description to its own field

 -- Nathan Handler <nhandler@ubuntu.com>  Fri, 03 Oct 2008 20:34:07 -0500

lyricue (1.9.4-0ubuntu2) hardy; urgency=low

  * Watch file added (LP: #180689)

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 05 Jan 2008 20:34:46 -0500

lyricue (1.9.4-0ubuntu1) feisty; urgency=low

  * Packaged for feisty

 -- Chris Debenham <chris@adebenham.com>  Thu, 23 Nov 2006 16:54:00 +1000

=== debian/control ===
Source: lyricue
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Debenham <chris@adebenham.com>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               po-debconf,
               libclutter-1.0-dev,
               libclutter-gtk-1.0-dev|libclutter-gtk-0.10-dev,
               libclutter-gst-0.10-dev|libclutter-gst-dev,
               libmysqlclient-dev,
               libgtk2.0-dev,
               libglib2.0-dev,
               intltool,
               libjson-glib-dev
Standards-Version: 3.9.2
Homepage: http://www.lyricue.org/

Package: lyricue
Architecture: any
Depends: unoconv,
         libdbd-mysql-perl,
         libgtk2-perl,
         libgtk2-gladexml-perl,
         libgtk2-spell-perl,
         libgtk2-trayicon-perl,
         libdbi-perl,
         libglib-perl,
         imagemagick|graphicsmagick-imagemagick-compat,
         libxml-simple-perl,
         diatheke,
         libgnome2-perl,
         lsdvd,
         libfile-mimeinfo-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: mysql-server
Breaks: lyricue3 (<= 1:3.0.23), lyricue-cvs (<= 2.4.0)
Replaces: lyricue3 (<= 1:3.0.23), lyricue-cvs (<= 2.4.0)
Description: GNU Lyric Display System
 This application is used to edit/display song lyrics on a second
 screen/projector for use at singing events such as church services.
 Features
    * Spellchecking
    * User access controls 
    * Networkable (ie run interface and server on different machines)
    * Multiple Playlists
    * Copyright info for songs
    * Automatic Page advance
    * Re-orderable playlist
    * Playlist entries to change background
    * All songs kept in a database and so screens are dynamically generated,
      allowing you to easily change the backdrop, font etc without having
      to change all the songs
    * Can automatically create screens for bible verses
    * Quick searching for songs

## lyricue 3.4.10

=== debian/changelog ===
lyricue (3.4.10-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/copyright: Update Format URI.
  * debian/control: Bump Standards-Version to 3.9.4.
  * debian/patches/desktop.patch: Refresh.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 08 Jan 2013 21:09:21 -0500

## lyricue 3.5.6

=== debian/changelog ===
lyricue (3.5.6-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Refresh desktop.patch

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 29 Jun 2013 17:40:26 +0530

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libglib2.0-dev,
                intltool,
                libjson-glib-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.lyricue.org/
 
 Package: lyricue

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2man src/lyricue src/lyricue.1

=== debian/watch ===
version=3

http://www.lyricue.org/downloads/lyricue-releases/ .*/lyricue_(.+).tar.gz

## lyricue 3.7.1

=== debian/changelog ===
lyricue (3.7.1-0ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:44:35 +0000

lyricue (3.7.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Build-depend on clutter-gst-2.0 instead of 1.0
  * Build-depend on libgstreamer1.0-dev, libavahi-client-dev, libavahi-glib-dev

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 31 Jan 2015 10:15:49 +1100

lyricue (3.5.6-0ubuntu2) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 23 Aug 2014 01:09:47 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,12 @@
 Build-Depends: debhelper (>= 7.0.50~),
                autotools-dev,
                po-debconf,
+               libavahi-client-dev,
+               libavahi-glib-dev,
                libclutter-1.0-dev,
-               libclutter-gtk-1.0-dev|libclutter-gtk-0.10-dev,
-               libclutter-gst-0.10-dev|libclutter-gst-dev,
+               libclutter-gtk-1.0-dev,
+               libclutter-gst-2.0-dev ,
+               libgstreamer1.0-dev,
                libmysqlclient-dev,
                libgtk2.0-dev,
                libglib2.0-dev,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_build:
	dh_auto_build
	pod2man src/lyricue src/lyricue.1

## lyricue 4.0.8

=== debian/changelog ===
lyricue (4.0.8-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * debian/control:
    - Use clutter-gst-3.0 (LP: #1584427)
    - Update dependencies for GTK3
    - Use Standards-Version 3.9.8
  * Update debian/watch
  * 0001-Replace-accidentally-dropped-help-signals.patch:
    - Git patch to fix Help buttons in new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Jun 2016 16:42:13 -0400

=== debian/control ===
Source: lyricue
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Debenham <chris@adebenham.com>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               intltool,
               libavahi-client-dev,
               libavahi-glib-dev,
               libclutter-1.0-dev,
               libclutter-gst-3.0-dev,
               libclutter-gtk-1.0-dev,
               libglib2.0-dev,
               libgstreamer1.0-dev,
               libjson-glib-dev,
               libmysqlclient-dev,
               po-debconf,
Standards-Version: 3.9.8
Homepage: https://www.lyricue.org/

Package: lyricue
Architecture: any
Depends: avahi-daemon,
         diatheke,
         gir1.2-glib-2.0,
         gir1.2-gnomedesktop-3.0,
         gir1.2-gtkspell3-3.0,
         imagemagick | graphicsmagick-imagemagick-compat,
         libdbd-mysql-perl,
         libdbi-perl,
         libfile-mimeinfo-perl,
         libgtk3-perl,
         libnet-rendezvous-publish-backend-avahi-perl,
         liburi-perl,
         libxml-simple-perl,
         lsdvd,
         unoconv,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Recommends: mysql-server,
Breaks: lyricue-cvs (<= 2.4.0),
        lyricue3 (<= 1:3.0.23),
Replaces: lyricue-cvs (<= 2.4.0),
          lyricue3 (<= 1:3.0.23),
Description: GNU Lyric Display System
 This application is used to edit/display song lyrics on a second
 screen/projector for use at singing events such as church services.
 Features
    * Spellchecking
    * User access controls
    * Networkable (ie run interface and server on different machines)
    * Multiple Playlists
    * Copyright info for songs
    * Automatic Page advance
    * Re-orderable playlist
    * Playlist entries to change background
    * All songs kept in a database and so screens are dynamically generated,
      allowing you to easily change the backdrop, font etc without having
      to change all the songs
    * Can automatically create screens for bible verses
    * Quick searching for songs

## lyricue 4.0.13.isreally.4.0.12

=== debian/changelog ===
lyricue (4.0.13.isreally.4.0.12-0ubuntu12) plucky; urgency=medium

  * Rebuild against try to unblock uninstallability on arm64 and armhf.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Apr 2025 17:03:38 +0200

lyricue (4.0.13.isreally.4.0.12-0ubuntu11) plucky; urgency=medium

  * Add Build-Depends: default-mysql-server to prevent building
    where it is not installable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 22:46:51 -0400

lyricue (4.0.13.isreally.4.0.12-0ubuntu10) plucky; urgency=medium

  * No-change rebuild against mysql-defaults (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 07 Mar 2025 09:51:04 -0500

lyricue (4.0.13.isreally.4.0.12-0ubuntu9) plucky; urgency=medium

  * Rebuild against new ocaml ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Feb 2025 17:35:49 +0100

lyricue (4.0.13.isreally.4.0.12-0ubuntu8) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:48:02 -0500

lyricue (4.0.13.isreally.4.0.12-0ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:45 +1100

lyricue (4.0.13.isreally.4.0.12-0ubuntu6) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:38:58 +0000

lyricue (4.0.13.isreally.4.0.12-0ubuntu5) jammy; urgency=medium

  * d/control: Add build dependency to unoconv to avoid building this
    package on architecture (eg: riscv64) that cannot install unoconv
    yet (unoconv depends on libreoffice). (LP: #1946224)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 06 Oct 2021 13:50:42 +0200

lyricue (4.0.13.isreally.4.0.12-0ubuntu4) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 11:22:08 -0300

lyricue (4.0.13.isreally.4.0.12-0ubuntu3) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 12:02:55 +0000

lyricue (4.0.13.isreally.4.0.12-0ubuntu1) artful; urgency=medium

  * Fix stuff that breaks build on buildds and hopefully make the package
    build neat.
  * Bump epoch to affect the same :(

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 21 May 2017 20:23:26 +0530

lyricue (4.0.12-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Drop all patches. Incorporated upstream.
  * Use dh 10.
  * Use default-libmysqlclient-dev.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 21 May 2017 19:28:10 +0530

=== debian/control ===
Source: lyricue
Section: x11
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Debenham <chris@adebenham.com>
Build-Depends:
 autotools-dev,
 debhelper (>= 10),
 intltool,
 libavahi-client-dev,
 libavahi-glib-dev,
 libclutter-1.0-dev,
 libclutter-gst-3.0-dev,
 libclutter-gtk-1.0-dev,
 libjson-glib-dev,
 default-mysql-server,
 default-libmysqlclient-dev,
 libtool-bin | libtool(<=2.4.3),
 po-debconf,
 yelp-tools,
 unoconv
Standards-Version: 3.9.8
Homepage: https://www.lyricue.org/

Package: lyricue
Architecture: any
Depends:
 avahi-daemon,
 diatheke,
 gir1.2-glib-2.0,
 gir1.2-gnomedesktop-3.0,
 imagemagick | graphicsmagick-imagemagick-compat,
 libdbd-mysql-perl,
 libdbi-perl,
 libfile-mimeinfo-perl,
 libgtk3-perl,
 libnet-rendezvous-publish-backend-avahi-perl,
 libnet-rendezvous-publish-perl,
 liburi-perl,
 libxml-simple-perl,
 lsdvd,
 default-mysql-server,
 unoconv,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Recommends:
 gir1.2-gtkspell3-3.0
Conflicts:
 lyricue-cvs (<= 2.4.0),
 lyricue3 (<= 1:3.0.23)
Description: The GNU Lyric Display System
 This application is used to edit/display song lyrics on a second
 screen/projector for use at singing events such as church services.
 Features
    * User access controls
    * Networkable (ie run interface and server on different machines)
    * Multiple Playlists
    * Copyright info for songs
    * Automatic Page advance
    * Re-orderable playlist
    * Playlist entries to change background
    * All songs kept in a database and so screens are dynamically generated,
      allowing you to easily change the backdrop, font etc without having
      to change all the songs
    * Can automatically create screens for bible verses
    * Quick searching for songs

=== debian/watch ===
version=4
https://github.com/cjd/lyricue/releases \
 /cjd/lyricue/archive/lyricue@ANY_VERSION@@ARCHIVE_EXT@
